Subject: Re: Problems with draft-ietf-ipr-subm-rights-fix

From: Brian E Carpenter <[email-masked]>
Date: Wed, 22 Sep 2004 13:26:50 +0200

below...

Harald Tveit Alvestrand wrote:
> Hello,
> 
> IETF Last Call and IESG discussion uncovered 2 problems with the 
> proposed draft-ietf-ipr-subm-rights-fix.
> Both were actually problems with RFC 3667....
> 
> 1) C. M. Heard discovered that section 6 did not permit an RFC Editor 
> contribution to be published with the standard copyright notice and 
> disclaimer; as written, it only permits the special variants given there.
> 
> 2) The RFC Editor discovered that one word had been changed from RFC 
> 3667 to draft-ietf-ipr-subm-rights-fix; section 4.2 a(A) was changed 
> from reading "RFC" to "Internet Draft".
> 
> This turns out to be a change from the i-d version of the document to 
> the RFC version that none of the authors caught in Auth48.
> This illustrates the fact that 4.2 only says that the authors grant the 
> right to publish the draft, not to publish the RFC.... this seems 
> strange to the RFC Editor.
> 
> Suggested disposition (AD's opinion):
> 
> For 1): Change section 6 bullet b to contain 3 alternatives, the third 
> one being:
> 
>        C. The Copyright Notice specified in Section 5.4 and the
>           disclaimer specified in section 5.5
> 

Looks good.

> For 2): Ignore the issue in this revision, and leave it to the RFC 
> Editor's "instructions to RFC Authors" to say that a request to publish 
> a draft as an RFC is taken to mean that permission to do so is granted.

OK, but this is a BCP and the instructions to authors are Informational.
It seems odd to have an Informational overriding a BCP.

    Brian

> 
> If this is found reasonable by the WG, I can do this via an RFC Editor 
> note, and have the document on the way to the RFC Editor as soon as it's 
> clear the WG finds it reasonable.
> 
> Your thoughts?
> 
>                   Harald
> 
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg
> 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: [email-masked] (scott bradner)
Date: Wed, 22 Sep 2004 08:25:30 -0400 (EDT)

> It seems odd to have an Informational overriding a BCP.

I do not think it overrides because section 4.2 refers to RFC Editor
contributions and RFC 3667 does not generally state the rules
for those documents (with some exceptions needed because teh IETF
is the publisher of IDs and a case that was worked in during the
last round) - thus 3667 does not say one way or the other about
the question of giving permission for publication of a RFC when
the ID is a RFC Editor ID so it is not being overridden

Scott

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 22 Sep 2004 15:23:03 +0200

> the ID is a RFC Editor ID so it is not being overridden

I can live with this

     Brian

---

From: "C. M. Heard" <[email-masked]>
Date: Wed, 22 Sep 2004 13:37:37 -0700 (PDT)

On Tue, 21 Sep 2004, Harald Tveit Alvestrand wrote:
> IETF Last Call and IESG discussion uncovered 2 problems with the proposed 
> draft-ietf-ipr-subm-rights-fix.
> 2) The RFC Editor discovered that one word had been changed from RFC 3667 
> to draft-ietf-ipr-subm-rights-fix; section 4.2 a(A) was changed from 
> reading "RFC" to "Internet Draft".
> 
> This turns out to be a change from the i-d version of the document to the 
> RFC version that none of the authors caught in Auth48.
> right to publish the draft, not to publish the RFC.... this seems strange 
> to the RFC Editor.
> 
> For 1): Change section 6 bullet b to contain 3 alternatives, the third one 
> being:
> 

I am OK with this.  Note that I also suggested also changing the
"I accept" language in bullets A and B to be "the authors accept"
but I can live without that.

> For 2): Ignore the issue in this revision, and leave it to the RFC Editor's 
> "instructions to RFC Authors" to say that a request to publish a draft as 
> an RFC is taken to mean that permission to do so is granted.

Seems right to me (especially in view of the prior discussion in Scott
and Brian's e-mail messages).

One question, the draft refers to RFC XXXY as the replacement for RFC 3668.
The last call didn't mention it, but I assume that RFC 3668 will indeed be
updated (to point to the RFC 3667 replacement), as implied in the draft.
Is that correct?

//cmh

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 23 Sep 2004 09:58:15 +0100

--On 22. september 2004 13:37 -0700 "C. M. Heard" <[email-masked]> wrote:

> One question, the draft refers to RFC XXXY as the replacement for RFC
> 3668. The last call didn't mention it, but I assume that RFC 3668 will
> indeed be updated (to point to the RFC 3667 replacement), as implied in
> the draft. Is that correct?

Yes, that is correct. I forgot to say it in the Last Call, but sent a 
message to ietf-announce some days later mentioning it.

               Harald